<?php
$output=array();
$product=mslib_fe::getProduct($get['products_id'],$get['categories_id']);
if (!$product['products_id']) 
{
	$content='<div class="main-heading"><h2>The product is not existing</h2></div>';
}
else
{
	// meta tags
	if ($product['products_meta_title'])	$ms['title']	=	$product['products_meta_title'];
	else									$ms['title']	=	$product['products_name'];
	$output_array['meta']['title'] 			= '<title>'.htmlspecialchars($ms['title']).' :: '.$ms['MODULES']['STORE_NAME'].'</title>';		
	if ($product['products_meta_description'])		$ms['description']=$product['products_meta_description'];
	elseif ($product['products_shortdescription'])	$ms['description']=$product['products_shortdescription'];
	else											$ms['description']='Product information: '.$product['products_name'].'. Order now!';
	if ($ms['description']) $output_array['meta']['description'] = '<meta name="description" content="'.htmlspecialchars($ms['description']).'" />';	
	if ($product['products_meta_keywords']) $output_array['meta']['keywords'] 	= '<meta name="keywords" content="'.htmlspecialchars($product['products_meta_keywords']).'" />';		
	// meta tags eof
	// putting the product vars in an array which will be marked and replaced in dynamic tmpl file
	// products pagination module
	if ($ms['MODULES']['PRODUCTS_DETAIL_PAGE_PAGINATION'])
	{
		// get previous / next record
		$str="SELECT *, IF(s.status, s.specials_new_products_price, p.products_price) as final_price from tx_multishop_products p left join tx_multishop_specials s on p.products_id = s.products_id left join tx_multishop_manufacturers m on p.manufacturers_id = m.manufacturers_id, tx_multishop_products_description pd, tx_multishop_products_to_categories p2c, tx_multishop_categories c, tx_multishop_categories_description cd where p.products_id=pd.products_id and p.products_status=1 and p.products_id=p2c.products_id and p2c.categories_id='".$get['categories_id']."' and p2c.categories_id=c.categories_id and p2c.categories_id=cd.categories_id order by p2c.sort_order asc";
		$qry=$GLOBALS['TYPO3_DB']->sql_query($str);
		$count=0;
		$products=array();
		while ($row=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($qry))
		{
			$products[]=$row['products_id'];
		}
		$total=count($products);
		$pagination_items=array();
		$trans = array_flip($products);
		$internal=$trans[$product['products_id']];
		if ($internal==0)
		{
			$pagination_items['next_item']=$products[1];
		}
		else
		{
			$pagination_items['previous_item']=$products[($internal-1)];
			$pagination_items['next_item']=$products[($internal+1)];
		}		
		foreach ($pagination_items as $key => $item)
		{
			if ($item)
			{
				// get all cats to generate multilevel fake url
				$level=0;
				$cats=mslib_fe::Crumbar($get['categories_id']);
				$cats=array_reverse($cats);
				$where='';
				if (count($cats) > 0)
				{
					foreach ($cats as $cat)
					{
						$where.="categories_id[".$level."]=".$cat['id']."&";
						$level++;
					}
					$where=substr($where,0,(strlen($where)-1));
					$where.='&';
				}
				// get all cats to generate multilevel fake url eof
				$link=mslib_fe::typolink($GLOBALS["multishop_page_uid"],'&'.$where.'&products_id='.$item.'&tx_multishop_pi1[page_section]=products_detail');			
				$pagination_items[$key]=$link;
			}			
		}
		// get previous / next record eof
		$pagination.='<div id="products_detail_pagination">';
		if ($pagination_items['previous_item']) $pagination.='<div class="pagination_previous"><a href="'.$pagination_items['previous_item'].'">'.$this->pi_getLL('previous').'</a></div>';
		else											$pagination.='<div class="pagination_previous_disabled">'.$this->pi_getLL('previous').'</div>';
		//$pagination.='<div class="pagination_text">';		
		//$pagination.='Artikel ';		
		//$pagination.='<strong>'.($internal+1).'</strong> ';		
		//$pagination.='van ';		
		//$pagination.='<strong>'.$total.'</strong> ';		
		//$pagination.='</div>';		
		if ($pagination_items['next_item']) 	$pagination.='<div class="pagination_next"><a href="'.$pagination_items['next_item'].'">'.$this->pi_getLL('next').'</a></div>';
		else											$pagination.='<div class="pagination_next_disabled">'.$this->pi_getLL('next').'</div>';
		$pagination.='</div>';
		$output['pagination']=$pagination;
	} 
	// products pagination module eof
	$output['products_name']		.=$product['products_name'];
	if ($this->ADMIN_USER)
	{
		$output['products_name'].='<div class="admin_menu"><a href="'.mslib_fe::typolink('','&tx_multishop_pi1[page_section]=admin_ajax&type=2002&pid='.$product['products_id']).'&action=edit_product" onclick="return hs.htmlExpand(this, { objectType: \'iframe\', width: 850, height: 500} )" class="admin_menu_edit">Add</a> <a href="'.mslib_fe::typolink('','&tx_multishop_pi1[page_section]=admin_ajax&type=2002&pid='.$product['products_id']).'&action=delete_product" onclick="return hs.htmlExpand(this, { objectType: \'iframe\', width: 850, height: 140} )" class="admin_menu_remove" alt="Remove"></a></div>';
	}
	$final_price=mslib_fe::final_products_price($product);
	if ($product['tax_id'] and $ms['MODULES']['SHOW_PRICES_WITH_AND_WITHOUT_VAT'])
	{
		$tax=mslib_fe::getTaxById($product['tax_id']);	
		if ($tax)
		{
			$final_price.='<div class="price_excluding_vat">'.$this->pi_getLL('excluding_vat').' '.mslib_fe::Money2Cents(($product['final_price']/(100+$tax)*100)).'</div>';		
		}
	}
	
	$staffel_price_hid = '';
	if ($product['staffel_price'] && $ms['MODULES']['STAFFEL_PRICE_MODULE']) {
		$staffel_price_hid = '<input type="hidden" name="staffel_price" id="staffel_price" value="'.$product['staffel_price'].'" readonly/>';
	}

	if ($product['products_price'] <> $product['final_price'])
	{
		if ($product['tax_rate'] and $ms['MODULES']['SHOW_PRICES_INCLUDING_VAT'])
		{
			$old_price=$product['products_price']*(1+$product['tax_rate']);
		}			
		else $old_price=$product['products_price'];		
		$output['products_price']		='<div class="old_price">'.mslib_fe::Money2Cents($old_price).'</div>';
		$output['special_price']		='
												<input type="hidden" name="price_hid" id="price_default" value="'.$final_price.'"/>
												'.$staffel_price_hid.'
												<div class="specials_price">'.mslib_fe::Money2Cents($final_price).'</div>
												<div class="quantity">
												<label>'. $this->pi_getLL('quantity') .'</label> 
													<input type="text" name="quantity" size="5" id="quantity" value="1"/>
												</div>
												</div><div class="cart"><input name="products_id" id="products_id"type="hidden" value="'.$product['products_id'].'" />
												<div id="addtocart"><input name="Submit" type="submit" value="'.htmlspecialchars($this->pi_getLL('add_to_basket')).'" />
										</div>';		
	}
	else
	{
		$output['products_price']		='
										  <div class="price_div">
										  	<input type="hidden" name="price_hid" id="price_default" value="'.$final_price.'"/>
										  	<input type="hidden" name="price" id="price" value="'.$final_price.'" readonly/>
											'.$staffel_price_hid.'
										  	<div class="specials_price">'.mslib_fe::Money2Cents($final_price).'</div>
										  </div>
										  <div class="quantity">
											<label>'. $this->pi_getLL('quantity') .'</label>  
											<input type="text" name="quantity" size="5" id="quantity" value="1"/>
										  </div>
										  </div><div class="cart"><input name="products_id" id="products_id"type="hidden" value="'.$product['products_id'].'" />
										  <div id="addtocart"><input name="Submit" type="submit" value="'.htmlspecialchars($this->pi_getLL('add_to_basket')).'" /></div>
										  ';		
	}	
	$output['products_category']	='Category: '.$product['categories_name'];
	$output['products_relatives']=mslib_fe::getProductRelativesBox($product);
	$output['products_description']	='
	<script type="text/javascript"> 
		jQuery(document).ready(function() {
			jQuery(".tab_content").hide(); 
			jQuery("ul.tabs li:first").addClass("active").show();
			jQuery(".tab_content:first").show();
			jQuery("ul.tabs li").click(function() {
				jQuery("ul.tabs li").removeClass("active");
				jQuery(this).addClass("active"); 
				jQuery(".tab_content").hide();
				var activeTab = jQuery(this).find("a").attr("href");
				jQuery(activeTab).show();
				return false;
			});
		});
	</script>
		<ul class="tabs">
			<li><a href="#desc"><h1>Description</h1></a></li>
			<li><a href="#products_relatives"><h1>Products relatives</h1></a></li>
		</ul>
		<div class="tab_container">
			<div id="desc" class="tab_content">
				'.$product['products_description'] .'
			</div>
			<div id="products_relatives" class="tab_content">
				'. $output['products_relatives'] .'
			</div>
		</div>';
	
	if ($server['HTTP_HOST']=='www.prijsvechter.nl')
	{
		$str="select count(1) as total from tx_multishop_undo_products where products_id='".$product['products_id']."'";
		$qry=$GLOBALS['TYPO3_DB']->sql_query($str);
		$row=$GLOBALS['TYPO3_DB']->sql_fetch_assoc($qry);
		if ($row['total'] >0)
		{
			$product['products_extra_description']='
					<div class="module"><div class="csc-frame csc-frame-indent6633 boxes" ><div class="boxes-heading">
				<h2>Prijs geschiedenis</h2>
				<img src="'.mslib_fe::typolink('','&tx_multishop_pi1[page_section]=graphs_products_price_history&products_id='.$product['products_id']).'">
			</div>
			</div>
			</div>
			'.$product['products_extra_description'];
		}
	}
	$output['products_extra_description']	= '	
												<a href="#desc"><h1>Description</h1></a>
												<a href="#othersinfo"><h1>Others Info</h1></a>
												<div id="desc">
												'.$product['products_extra_description'] .'
												</div>
												<div id="othersinfo">
												lorem ipsum
												</div>';
	$output['products_image']		='
	<div class="image">
	';
	if ($product['products_image'])
	{
		$image='
		<a id="thumb_0" class="highslide" onclick="return hs.expand(this, { slideshowGroup: \'slideshow\', thumbnailId: \'thumb_0\' })" href="'.mslib_befe::getImagePath($product['products_image'],'products','normal').'"><img src="'.mslib_befe::getImagePath($product['products_image'],'products','200').'"></a>		
		';
	}
	else	$image='<div class="no_image"></div>';
	$output['products_image'].=$image.'
	</div>
	';
	$tmpoutput='';
	for ($i=1;$i<5;$i++)
	{
		if ($product['products_image'.$i])
		{
			$tmpoutput.='
			<a id="thumb_'.$i.'" class="highslide" onclick="return hs.expand(this, { slideshowGroup: \'slideshow\', thumbnailId: \'thumb_'.$i.'\' })" href="'.mslib_befe::getImagePath($product['products_image'.$i],'products','normal').'"><img src="'.mslib_befe::getImagePath($product['products_image'.$i],'products','200').'"></a>		
			';
		}
	}
	if ($tmpoutput)
	{
		$output['products_image_more'].='<div class="more_product_images">'.$tmpoutput.'</div>';	
	}
	// loading the attributes	
	$output['product_attributes']=mslib_fe::showAttributes($product['products_id'],$product['tax_rate']);
	// loading the attributes eof
	// add to basket
	if ($ms['MODULES']['AFFILIATE_SHOP'] and $product['products_url'])
	{
		if (!strstr($product['products_url'],'http://') and !strstr($product['products_url'],'http://')) $product['products_url']='http://'.$product['products_url'];
		$order_now_button.='<input name="Submit" type="button" value="'.$this->pi_getLL('add_to_basket').'" onclick="window.open(\''.$product['products_url'].'\', \'\',\'\'); return false" />';	
	}
	else
	{
		$order_now_button.='<input name="Submit" type="submit" value="'.htmlspecialchars($this->pi_getLL('add_to_basket')).'" />';
	}
	$output['add_to_cart_button'].='<div id="bottom-navigation"><div onClick="history.back()" class="back_button">'.$this->pi_getLL('back').'</div><div class="cart"><input name="products_id" id="products_id"type="hidden" value="'.$product['products_id'].'" />'.$order_now_button.'</div></div>';
	
	


	
	// add to basket eof	
	// now parse all the objects in the tmpl file
	if ($this->conf['product_detail_tmpl_path'])  	$template = $this->cObj->fileResource($this->conf['product_detail_tmpl_path']);
	elseif ($this->conf['product_detail_tmpl'])  	$template = $this->cObj->fileResource($this->conf['product_detail_tmpl']);	
	else											$template = $this->cObj->fileResource(t3lib_extMgm::siteRelPath($this->extKey).'templates/products_detail.tmpl');
	$markerArray['###CONTENT###'] 					= $output['content']; 
	$markerArray['###PAGINATION###'] 				= $output['pagination']; 
	$markerArray['###PRODUCTS_NAME###'] 			= $output['products_name']; 
	$markerArray['###PRODUCTS_DESCRIPTION###'] 		= $output['products_description']; 
	$markerArray['###PRODUCTS_EXTRA_DESCRIPTION###']= $output['products_extra_description']; 
	$markerArray['###PRODUCTS_CATEGORY###'] 		= $output['products_category']; 
	$markerArray['###PRODUCTS_ATTRIBUTES###'] 		= $output['product_attributes']; 
	//$markerArray['###PRODUCTS_RELATIVES###'] 		= $output['products_relatives']; 
	$markerArray['###PRODUCTS_RELATIVES###'] 		= ''; 
	$markerArray['###PRODUCTS_IMAGE###'] 			= $output['products_image']; 
	$markerArray['###PRODUCTS_IMAGE_MORE###'] 		= $output['products_image_more']; 
	$markerArray['###PRODUCTS_PRICE###'] 			= $output['products_price']; 
	$markerArray['###PRODUCTS_SPECIAL_PRICE###'] 	= $output['special_price']; 
	$markerArray['###ADD_TO_CART_BUTTON###'] 		= ''; //$output['add_to_cart_button']; 
	$content 										.= $output['top_content'].'<form action="'.mslib_fe::typolink('','&tx_multishop_pi1[page_section]=shopping_cart&products_id='.$product['products_id']).'" method="post" name="shopping_cart"><div id="products_detail">'.$this->cObj->substituteMarkerArray($template, $markerArray).'<div onClick="history.back()" class="back_button">'.$this->pi_getLL('back').'</div></div></form>';

}
?>