<?php
require_once('includes/psp_forms/classes/multisafepay.php');
if ($vars['test']=='true') 	$ms['url']	='https://testapi.multisafepay.com/ewx/';
else 						$ms['url']	='https://api.multisafepay.com/ewx/';
$amount=preg_replace("/^0/",'',number_format(($subtotal+$subtotal_tax+$order['orders']['payment_method_costs']+$order['orders']['shipping_method_costs']),2, '', ''));
$sql_country_iso2 = "select countries_iso_code_2 from countries where countries_name = '".$order['country']."'";
$qry_country_iso2 = $GLOBALS['TYPO3_DB']->sql_query($sql_country_iso2);
$rs_country_iso2 = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($qry_country_iso2);
$req_data = array();

// NOTE: usually, the database would be updated here
$req_data['customer']						= array();
$req_data['customer']['locale']				= trim($rs_country_iso2['countries_iso_code_2'].'_'.strtoupper($rs_country_iso2['countries_iso_code_2']));
$req_data['customer']['ipaddress']			= trim($_SERVER['REMOTE_ADDR']);
$req_data['customer']['forwardedip']		= trim($_SERVER['HTTP_X_FORWARDED_FOR']);
$req_data['customer']['firstname']			= trim($order['customers_firstname']);
$req_data['customer']['lastname']			= trim($order['customers_lastname']);
$req_data['customer']['address1']			= trim($order['customers_street_address']);
$req_data['customer']['address2']			= '';
$req_data['customer']['housenumber']		= '';
$req_data['customer']['zipcode']			= trim($order['customers_postcode']);
$req_data['customer']['city']				= trim($order['customers_city']);
$req_data['customer']['state']				= '';
$req_data['customer']['country']			= trim($order['country']);
echo $order['country'];
$req_data['customer']['phone']				= '';
$req_data['customer']['email']				= trim($order['customers_email_address']);

$req_data['transaction']					= array();
$req_data['transaction']['id']				= trim($orders_id);
$req_data['transaction']['currency']		= trim('EUR');
$req_data['transaction']['amount']			= trim($amount * 100);
$req_data['transaction']['description']		= trim($ms['MODULES']['STORE_NAME']);
$req_data['transaction']['var1']			= '';
$req_data['transaction']['var2']			= '';
$req_data['transaction']['var3']			= '';
$req_data['transaction']['items']			= trim($_POST['items']);
$req_data['transaction']['manual']			= trim('false');

if (!$_POST['payment_gateway']) {
	$req_data['transaction']['gateway']			= '';
} else {
	$req_data['transaction']['gateway']			= $_POST['payment_gateway'];
}

// merchant details (private)
$req_data['merchant']						= array();
$req_data['merchant']['account']			= trim($vars['merchant_account']);
$req_data['merchant']['site_id']			= trim($vars['merchant_site_id']);
$req_data['merchant']['site_secure_code']	= trim($vars['merchant_secret_code']);
$req_data['merchant']['notification_url']	= trim('http://'.$_SERVER['HTTP_HOST'].'/extrainfo/accepturl');

if (!$_POST['payment_gateway']) {
	// generate request
	$request  = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
	$request .= "<gateways ua=\"bvb-msp-php-0.1\">\n";
	$request .= "  <merchant>\n";
	$request .= "    <account>" .          xml_escape($req_data['merchant']['account']) . "</account>\n";
	$request .= "    <site_id>" .          xml_escape($req_data['merchant']['site_id']) . "</site_id>\n";
	$request .= "    <site_secure_code>" . xml_escape($req_data['merchant']['site_secure_code']) . "</site_secure_code>\n";
	$request .= "  </merchant>\n";
	$request .= "  <customer>\n";
	$request .= "    <country>" .           xml_escape($req_data['customer']['country']) . "</country>\n";
	$request .= "  </customer>\n";
	$request .= "</gateways>\n";
	
	// start transaction
	$error = '';
	$gateways = array();
	
	if ($reply = xml_post($ms['url'], $request, $error)) {
		$matches = array();
		
		// check transaction status
		preg_match('/\<gateways result="(.*)"\>/U', $reply, $matches);
		
		if (count($matches) > 0 && $matches[1] == 'ok') {
			$matches = array();
			
			// get redirect URL
			$gatewayCount = preg_match_all('/\<gateway\>\s*\<id\>(.*)\<\/id\>\s*\<description\>(.*)\<\/description\>\s*\<\/gateway\>/U', $reply, $matches);
	
			for ($i = 0; $i < $gatewayCount; $i++) {
				$gateways[$matches[1][$i]] = $matches[2][$i];
			}
		} else {
			// get error message
			$matches = array();
			preg_match('/\<error\>.*\<description\>(.*)\<\/description\>.*\<\/error\>/U', $reply, $matches);
			
			if ($matches > 0) {
				$error = xml_unescape($matches[1]);
			}
		}
	}
	
	?>
<!--Send form to script that sends a TransReq-->
<form action="afrekenengeslaagd?orderid=<?= $_GET['orderid']; ?>&totaalbedrag=<?= $_GET['totaalbedrag']; ?>" method="post" name="OrderForm">
<table width="80%"  border="1">
<tr>
<td align="right" colspan="1"><strong>Betaalmethode:</strong></td>
<td colspan="5">

<?php

		//Create a selection list
		print("<select name=\"payment_gateway\">");
		print("<option value=\"0\">Kies uw betaalmethod...</option>");
		//Create an option tag for every issuer
		foreach ($gateways as $id => $description) {
			echo '<option value="'.htmlspecialchars($id).'">'.htmlspecialchars($description).'</option>';
		}
		print("</select>");

?>
<input type="submit" name="idealbutton" value="<?= PAY_BUTTON_LABEL; ?>" />
</td></tr></table>
</form>
<br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
<?php
	
	
} else {
	$signature = md5(
		$amount * 100 .
		'EUR' .
		$vars['merchant_account'] .
		$vars['merchant_site_id'] .
		$orders_id
	);
	
	// generate request
	$request  = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
	$request .= "<redirecttransaction ua=\"example-php-1.2\">\n";
	$request .= xml_array_to_xml($req_data['merchant'], 'merchant');
	$request .= xml_array_to_xml($req_data['customer'], 'customer');
	$request .= xml_array_to_xml($req_data['transaction'], 'transaction');
	$request .= "<signature>{$signature}</signature>\n";
	$request .= "</redirecttransaction>\n";
	
	// start transaction
	$error = '';
	
	if ($reply = xml_post($ms['url'], $request, $error)) {
		//echo htmlentities($reply);
		
		$matches = array();
	
		// check transaction status
		preg_match('/\<redirecttransaction result="(.*)"\>/U', $reply, $matches);
	
		if (count($matches) > 0 && $matches[1] == 'ok') {
			$matches = array();
	
			// get redirect URL
			preg_match('/\<payment_url\>(.*)\<\/payment_url\>/U', $reply, $matches);
	
			if (count($matches) > 0) {
				header('Location: ' . xml_unescape($matches[1]));
				exit;
			} else {
				$error = 'Unable to redirect user.';
			}
		}
	
		// get error message
		$matches = array();
		preg_match('/\<error\>.*\<description\>(.*)\<\/description\>.*\<\/error\>/U', $reply, $matches);
	
		if ($matches > 0) {
			$error = xml_unescape($matches[1]);
		}
	}		
	//echo $error;	
}
?>